import { world, system, GameMode } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
    // Registrar el componente personalizado "betterbiomes:shears"
    initEvent.blockComponentRegistry.registerCustomComponent("betterbiomes:shears", {
        // Función que se ejecuta cuando un jugador destruye un bloque
        onPlayerDestroy: event => {
            const player = event.player; // El jugador que destruyó el bloque
            const block = event.block; // El bloque que fue destruido
            const itemUsed = player.getComponent("equippable").getEquipment("Mainhand"); // El ítem usado por el jugador

            // Verificar si el jugador está usando tijeras
            if (itemUsed && itemUsed.typeId === "minecraft:shears") {
                let blockToDrop;

                // Verificar qué tipo de hoja fue destruida y asignar el bloque correspondiente
                switch (block.typeId) {
                    case "betterbiomes:green_leaves":
                    case "betterbiomes:green_leaves1":
                    case "betterbiomes:pink_leaves":
                    case "betterbiomes:brown_leaves":
                    case "betterbiomes:lila_leaves":
                    case "betterbiomes:blue_leaves":
                    case "betterbiomes:desert_leaves": // Nueva hoja añadida
                        blockToDrop = block.typeId; // Dejar caer el mismo bloque
                        break;
                    default:
                        return; // Si no es una hoja reconocida, no hacer nada
                }

                // Dejar el ítem en el suelo
                if (blockToDrop) {
                    const blockLocation = block.location;
                    block.dimension.spawnItemEntity(blockToDrop, blockLocation.add(0.5, 0.5, 0.5));
                    console.log(`El bloque ${blockToDrop} ha sido dejado como ítem en el suelo.`);
                }
            }
        }
    });
});